Systemvoraussetzungen

PocketLogo sollte auf allen Pocket PCs (PDAs, Smartphones) mit dem Betriebssystem Microsoft Windows Mobile ab Version 2003SE lauffähig sein. Das Programm ist optimiert für die Displayauflösungen 240x320 (QVGA) sowie 480x640 (VGA) - ein Gerät mit VGA-Auflösung wird empfohlen.
PocketLogo benötigt rund 200KB Speicherplatz.

Das sogenannte .NET Compact Framework ab Version 2.0 SP2 ist erforderlich. Es ist in vielen Fällen bereits mit anderen Programmen installiert worden bzw. kann hier kostenlos heruntergeladen werden.

PocketLogo wurde erfolgreich getestet auf folgender Hardware:

  • Fujitsu-Siemens Pocket Loox 720 (Windows Mobile 2003 SE, VGA)
  • Fujitsu-Siemens Pocket Loox N560 (Windows Mobile 5, VGA)

Die PC-Version wurde auf Windows XP und Windows Vista erfolgreich getestet. Hierfür ist das .NET Framework ab Version 2.0 SP1 erforderlich. Für Windows XP ist die aktuelle Version über Windows Update oder hier erhältlich, bei Windows Vista ist es normalerweise bereits vorinstalliert.

Downloads

PocketLogo kann kostenlos heruntergeladen werden, auch der Quellcode ist verfügbar.

Falls Sie PocketLogo z.B. im Schulunterricht eingesetzt haben oder sonstige Fragen oder Anmerkungen haben, würde ich mich über eine kurze Rückmeldung per E-Mail an mhunke [at] users [dot] sourceforge [dot] net sehr freuen!

Die im Folgenden genannten Dateien sowie der Quellcode von PocketLogo befinden sich auf der Downloadseite bei Sourceforge.

  • Die Befehlsreferenz listet alle verfügbaren Befehle und gibt jeweils Beispiele an.
  • Das PocketLogo-Handbuch (pdf-Format). Es handelt sich dabei um einen angepassten Auszug aus meiner Examensarbeit. Bei Downloadproblemen bitte mit der rechten Maustaste auf "use this direct link" klicken und "Ziel speichern unter..." wählen.
  • Die Datei PocketLogo-1.0.zip enthält das PocketLogo-Installationspaket, das Handbuch und einige Beispielprogramme, die im Handbuch näher beschrieben sind. Das Installationspaket besteht aus einer einzigen Datei (cab-Format), die direkt auf dem Pocket PC ausgeführt werden kann. Die Befehlsreferenz und alle weiteren benötigten Dateien sind im Installationspaket enthalten und werden automatisch mitinstalliert. Das sogenannte .NET Compact Framework ab Version 2.0 SP2 ist erforderlich. Falls noch nicht vorhanden, kann es hier kostenlos heruntergeladen werden.
  • Die Datei PocketLogo-PC-1.0.zip enthält das Installationspaket für die PC-Version von PocketLogo (msi-Format), das Handbuch und die o.g. Beispielprogramme. Das .NET Framework ab Version 2.0 SP1 ist erforderlich. Für Windows XP ist die aktuelle Version über Windows Update oder hier erhältlich, bei Windows Vista ist es normalerweise bereits vorinstalliert.

Zur Projektseite bei Sourceforge